Package com.norconex.commons.lang.xml

# Class ErrorHandlerCapturer

java.lang.Object
com.norconex.commons.lang.xml.ErrorHandlerCapturer

All Implemented Interfaces:
  `ErrorHandler`

public class ErrorHandlerCapturer extends Object implements ErrorHandler
Collects XML validation errors.

Since:
  2.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorHandlerCapturer()`
  `ErrorHandlerCapturer(Class<?> clazz)`
  `ErrorHandlerCapturer(Class<?> clazz, List<XmlValidationError> errors)`
  `ErrorHandlerCapturer(List<XmlValidationError> errors)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `clear()`
  `void`
  `error(SAXParseException e)`
  `void`
  `fatalError(SAXParseException e)`
  `List<XmlValidationError>`
  `getErrors()`
  `void`
  `warning(SAXParseException e)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorHandlerCapturer

    public ErrorHandlerCapturer()

  - ### ErrorHandlerCapturer

    public ErrorHandlerCapturer(List<XmlValidationError> errors)

  - ### ErrorHandlerCapturer

    public ErrorHandlerCapturer(Class<?> clazz)

  - ### ErrorHandlerCapturer

    public ErrorHandlerCapturer(Class<?> clazz, List<XmlValidationError> errors)

- ## Method Details

  - ### getErrors

    public List<XmlValidationError> getErrors()

  - ### clear

    public int clear()

  - ### warning

    public void warning(SAXParseException e) throws SAXException
    Specified by:
      `warning` in interface `ErrorHandler`
    Throws:
      `SAXException`

  - ### error

    public void error(SAXParseException e) throws SAXException
    Specified by:
      `error` in interface `ErrorHandler`
    Throws:
      `SAXException`

  - ### fatalError

    public void fatalError(SAXParseException e) throws SAXException
    Specified by:
      `fatalError` in interface `ErrorHandler`
    Throws:
      `SAXException`